package edu.ucr.util;

/*
 * Copyright 2020 Renjie Wu
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import com.util.DistanceFunction;

public class SquaredDistance implements DistanceFunction {
    public double calcDistance(double[] vector1, double[] vector2) {
        var c = vector1[0] - vector2[0];
        return c * c;
    }
}
